What do I need to play Osmo games on my Fire Tablet?

First, you'll need a compatible Fire tablet. These are:
7th Generation 7 (including kids edition w/ case removed)
7th Generation HD 8 (including kids edition w/ case removed)
7th Generation HD 10 (including kids edition w/ case removed)
8th Generation HD 8 (including kids edition w/ case removed)

REQUIRED HARDWARE:
An Osmo Fire base & reflector are required to play any Osmo game. Fire bases & reflectors are sold as part of the 
Osmo Genius Kit for Amazon Fire and the Osmo Creative Kit for Amazon Fire sold exclusively on Amazon.com.

Osmo does not currently sell the Fire base & reflector on our website.


 

Still have a question? Please contact us!

What do I need to play Osmo games on my Fire Tablet?

Letitia -

First, you'll need a compatible Fire tablet. These are:
7th Generation 7 (including kids edition w/ case removed)
7th Generation HD 8 (including kids edition w/ case removed)
7th Generation HD 10 (including kids edition w/ case removed)
8th Generation HD 8 (including kids edition w/ case removed)

REQUIRED HARDWARE:
An Osmo Fire base & reflector are required to play any Osmo game. Fire bases & reflectors are sold as part of the 
Osmo Genius Kit for Amazon Fire and the Osmo Creative Kit for Amazon Fire sold exclusively on Amazon.com.

Osmo does not currently sell the Fire base & reflector on our website.


 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.